import { TestBed, ComponentFixture } from '@angular/core/testing';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { SchedulerComponent } from './schedule/scheduler.component';
import { ScheduleFormComponent } from './schedule-form/schedule-form.component';
import { ScheduleAllModule } from '@syncfusion/ej2-angular-schedule';
import { By } from '@angular/platform-browser';

describe('SchedulerComponent', () => {
  let component: SchedulerComponent;
  let fixture: ComponentFixture<SchedulerComponent>;
  beforeEach(((done: DoneFn) => {
    fixture = TestBed.configureTestingModule({
      imports: [ScheduleAllModule, BrowserModule, BrowserAnimationsModule, FormsModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule],
      declarations: [SchedulerComponent, ScheduleFormComponent],
    }).createComponent(SchedulerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
    done();
  }));

  it('should create the app', () => {
    expect(component).toBeTruthy();
    let schedule = fixture.debugElement.query(By.css('.e-schedule'));
    let nativeEle = schedule.nativeElement;
    expect(nativeEle.classList.contains('e-schedule')).toBe(true);
  });

  it('should open the editor', (done: DoneFn) => {
    expect(component.scheduleObj).toBeTruthy();
    component.scheduleObj.openEditor({}, 'Add');
    setTimeout(() => {
      let dialogEle = document.querySelector('.e-schedule-dialog');
      let saveBtn: HTMLButtonElement = dialogEle?.querySelector('.e-event-save') as HTMLButtonElement;
      expect(saveBtn?.classList.contains('e-custom-disable')).toBe(true);
      expect(saveBtn?.disabled).toBe(true);
      component.scheduleObj.closeEditor();
      done();
    }, 100);
  });
});
