import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { ScheduleAllModule } from '@syncfusion/ej2-angular-schedule';
import { AccordionAllModule, ToolbarAllModule } from "@syncfusion/ej2-angular-navigations";
import { DropDownListAllModule } from "@syncfusion/ej2-angular-dropdowns";

import { AppComponent } from './app.component';
import { SchedulerComponent } from './schedule/scheduler.component';
import { ScheduleFormComponent } from './schedule-form/schedule-form.component';

@NgModule({
  declarations: [
    AppComponent, SchedulerComponent, ScheduleFormComponent
  ],
  imports: [
    BrowserModule, BrowserAnimationsModule, FormsModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule, ScheduleAllModule, AccordionAllModule, ToolbarAllModule, DropDownListAllModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }