import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { FormControl, FormGroup, Validators } from '@angular/forms';
import { Subscription } from 'rxjs';

@Component({
    selector: 'app-schedule-form',
    templateUrl: './schedule-form.component.html',
    // styleUrls: ['./schedule-form.component.css'],
})
export class ScheduleFormComponent implements OnInit {
    @Input() appointment?: any;
    @Output() onChange = new EventEmitter<any>();
    form: FormGroup;
    formSubcription: Subscription;

    constructor() {
        this.form = new FormGroup({
            title: new FormControl(undefined, Validators.required),
            description: new FormControl(undefined, Validators.required),
        });

        this.formSubcription = this.form.valueChanges.subscribe(() => {
            this.onChange.emit({ valid: this.form.valid });
        });
    }

    ngOnInit(): void {
        if (this.appointment) {
            this.form.patchValue({
                title: this.appointment.Subject,
                description: this.appointment.Description,
            });
        }
    }

    ngOnDestroy(): void {
        this.formSubcription.unsubscribe();
    }
}
