import { Component, ViewChild } from '@angular/core';
import { AgendaService, DayService, DragAndDropService, MonthService, ScheduleComponent, WorkWeekService } from '@syncfusion/ej2-angular-schedule';

@Component({
  selector: 'app-schedule',
  templateUrl: './scheduler.component.html',
//   styleUrls: ['./scheduler.component.css'],
  providers: [DayService, WorkWeekService, MonthService, AgendaService, DragAndDropService],
})
export class SchedulerComponent {
  @ViewChild(ScheduleComponent) scheduleObj!: ScheduleComponent;
  eventSettings: any;

  constructor() {
    let startDate = new Date();
    startDate.setHours(12);
    let endDate = new Date();
    endDate.setHours(13);
    this.eventSettings = {
      dataSource: [
        {
          Id: 1,
          Subject: 'Example',
          StartTime: startDate,
          EndTime: endDate,
        },
      ],
    };
  }

  changed(event: any): void {
    let saveBtn: any = document.querySelector('.e-event-save');
    if (saveBtn) {
      if (event.valid) {
        saveBtn.classList.remove('e-custom-disable');
        saveBtn.disabled = false;
      } else {
        saveBtn.classList.add('e-custom-disable');
        saveBtn.disabled = true;
      }
    }
  }

  onPopupOpen(args: any): void {
    if (args.type == 'QuickInfo') {
      if (!args.target?.classList.contains('e-appointment')) {
        args.cancel = true; // Prevent Quick info opening on cell click
      }
    } else if (args.type === 'Editor') {
      var saveBtn = args.element.querySelector('.e-custom-disable');
      if (saveBtn) {
        saveBtn.disabled = true;
      }
    }
  }
}
